Subject: Re: [PATCH v5 2/3] path: optimize common dir checking

From: Junio C Hamano <[email-masked]>
Date: Mon, 05 Oct 2015 10:22:05 -0700

Michael Haggerty <[email-masked]> writes:

> For this particular application, where we only have 19 strings to store,
> I suppose we could tolerate the use of approximately 64k of RAM to store
> 174 characters worth of strings *if* it would bring us big time savings.
> But I think we need some evidence of the time savings.
>
> If this lookup is really a bottleneck, I bet there are other
> alternatives that are just as fast as this trie and use less code,
> especially given that there are only 19 strings that need checking.

Very good point.  I agree that we need to know that the dumb linear
scan in the original is on the bottleneck and that any replacement
is an improvement.